Installment Requests

Create a new installment request v2

post

This endpoint creates a new installment request. New installment requests have the status of SUBMITTED.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
school_namestring · min: 2 · max: 50Required

The school name

Example: مدارس جيل النموذجية
Responses
chevron-right
200

The installment request is created successfully

*/*
idstring · uuidOptional
redirect_urlstring · uriOptional
creation_datestring · date-timeOptional
post
/v2/installment-requests

Calculate installment request details

post

This endpoint will calculate installment request, and check initial user eligibility

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
mobileNumberstringRequiredPattern: ^(5)([0-9]{8})$
costnumber · doubleRequired
Responses
chevron-right
200

OK

*/*
totalCostnumber · doubleOptional
installmentCostnumber · doubleOptional
downPaymentnumber · doubleOptional
numberOfInstallmentsinteger · int32Optional
lastInstallmentDatestring · dateOptional
eligiblebooleanOptional
post
/v1/installment-requests/cost-calculation

Get an installment request by ID

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstring · uuidRequired
Responses
chevron-right
200

OK

*/*
idstringOptional
statusstring · enumOptionalPossible values:
redirectUrlstringOptional
notificationUrlstringOptional
creationDatestring · date-timeOptional
customerNationalIdstringOptional
get
/v1/installment-requests/{id}

Last updated